Bulk delete package policies
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/package_policies/delete
-
POST
/s/{space_id}/api/fleet/package_policies/delete
Auth
Delete multiple package policies by ID.
-
Privileges
fleet-agent-policies-all
and
integrations-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
packagePolicyIds
string[] · max items: 1000
required
<array> object[] · max items: 10000
-
body
object
-
-
output_id
string
nullable
-
package
object
required
-
-
experimental_data_stream_features
object[] · max items: 100
-
-
data_stream
string · max length: 1024
required
-
features
object
required
-
-
doc_value_only_numeric
boolean
-
doc_value_only_other
boolean
-
name
string · max length: 255
required
-
Package name
-
title
string · max length: 255
-
version
string · max length: 50
required
-
Package version
-
policy_id
string
nullable
deprecated
-
Use policy_ids instead
-
policy_ids
string[] · max items: 10000
required
-
attributes
object
required